package com.realnet.basic1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic1.Entity.Testf;
import com.realnet.basic1.Services.TestfService ;






@RequestMapping(value = "/Testf")
 @CrossOrigin("*") 
@RestController
public class TestfController {
	@Autowired
	private TestfService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Testf")
		  public Testf Savedata(@RequestBody Testf data) {
		Testf save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testf/{id}")
	public  Testf update(@RequestBody Testf data,@PathVariable Integer id ) {
		Testf update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testf/getall/page")
	public Page<Testf> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testf> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testf")
	public List<Testf> getdetails() {
		 List<Testf> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testf")
	public List<Testf> getallwioutsec() {
		 List<Testf> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testf/{id}")
	public  Testf  getdetailsbyId(@PathVariable Integer id ) {
		Testf  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testf/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}